Bug 299565 - Unnecessary repainting on mouse over when directory content is changing
Summary: Unnecessary repainting on mouse over when directory content is changing
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: general (show other bugs)
Version: 2.0
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL: http://youtu.be/m-hJFgO97SE
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-07 16:23 UTC by gedgon
Modified: 2013-08-24 16:14 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gedgon 2012-05-07 16:23:48 UTC
...

Reproducible: Always

Steps to Reproduce:
1. Make sure that at least one file in current directory periodically changing.
2. Mouse over on any item in file view area.

* Tooltips and Show Paint KWin plugin will be helpful;
** Screencast attached;
Actual Results:  
...

Expected Results:  
...
Comment 1 Peter Penz 2012-05-07 20:51:54 UTC
Thanks for the report and the useful video. I'm not sure whether I find the time to fix this until 4.9.0 but as I consider it as quite ugly issue I'll try hard to fix this during the 4.9.x cycle.
Comment 2 Jeroen van Meeuwen (Kolab Systems) 2012-08-24 16:20:04 UTC
Resetting assignee to default as per bug #305719
Comment 3 Emmanuel Pescosta 2013-06-20 17:20:48 UTC
Git commit d70a4811807776966c3241a72121242f4d1eaee8 by Emmanuel Pescosta.
Committed on 20/06/2013 at 17:16.
Pushed by emmanuelp into branch 'master'.

Avoid a unnecessary resorting when items are changed, only resort the items when the sorting role value is changed.
FIXED-IN: 4.11
REVIEW: 111146

M  +12   -5    dolphin/src/kitemviews/kfileitemmodel.cpp

http://commits.kde.org/kde-baseapps/d70a4811807776966c3241a72121242f4d1eaee8
Comment 4 gedgon 2013-06-22 17:25:18 UTC
Works like a charm. Thank you, Emmanuel.
Comment 5 Emmanuel Pescosta 2013-08-24 16:14:59 UTC
Git commit 9cbca7241f55da4c77d037dba39c36403b9c762b by Emmanuel Pescosta.
Committed on 24/08/2013 at 16:13.
Pushed by emmanuelp into branch 'KDE/4.11'.

Make use of the "resort all items timer" in KFileItemModel::slotRefreshItems
to avoid too much expensive resorting calls, in case of many refresh items signals.

Followup to patch 111146
Related: bug 323789, bug 303873
FIXED-IN: 4.11.1
REVIEW: 111195

M  +1    -1    dolphin/src/kitemviews/kfileitemmodel.cpp

http://commits.kde.org/kde-baseapps/9cbca7241f55da4c77d037dba39c36403b9c762b